org.eclipse.gef.dot.internal.ui.language.contentassist

## Class DotColorProposalProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
  - - org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
    - - org.eclipse.gef.dot.internal.ui.language.contentassist.AbstractDotColorProposalProvider
      - - org.eclipse.gef.dot.internal.ui.language.contentassist.DotColorProposalProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalFactory, org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider

Direct Known Subclasses:
  AbstractDotColorListProposalProvider

    public class DotColorProposalProvider
    extends AbstractDotColorProposalProvider

See https://www.eclipse.org/Xtext/documentation/304_ide_concepts.html#content-assist on how to customize the content assistant.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.DefaultProposalCreator, org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.ReferenceProposalCreator`

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.DefaultContentAssistProcessorSwitch, org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.NullSafeCompletionProposalAcceptor`

### Field Summary

Fields
`static String` `globalColorScheme` Represents the color scheme that is defined in the DOT ast.

### Constructor Summary

Constructors
Constructor and Description
`DotColorProposalProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `completeStringColor_Name(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeStringColor_Scheme(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`

### Methods inherited from class org.eclipse.gef.dot.internal.ui.language.contentassist.AbstractDotColorProposalProvider

`complete_COLOR_NUMBER, complete_COLOR_STRING, complete_Color, complete_DIGITS, complete_hex, complete_HEXADECIMAL_DIGIT, complete_HSVColor, complete_RGBColor, complete_StringColor, complete_WS, complete_ZERO_OR_ONE, completeHSVColor_H, completeHSVColor_S, completeHSVColor_V, completeRGBColor_A, completeRGBColor_B, completeRGBColor_G, completeRGBColor_R`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`announceProcessing, completeAssignment, completeKeyword, completeRuleCall, createProposals, getCrossReferenceProposalCreator, getHover, getProposalFactory, getScopeProvider, invokeMethod, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, setCrossReferenceProposalCreator, setScopeProvider`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`createCompletionProposal, createCompletionProposal, createCompletionProposal, createCompletionProposal, createSelector, doCreateProposal, doCreateProposal, getConflictHelper, getDisplayString, getImage, getKeywordDisplayString, getLabelProvider, getPriorityHelper, getQualifiedNameConverter, getStyledDisplayString, getStyledDisplayString, getValueConverter, isValidProposal, setConflictHelper, setLabelProvider, setPriorityHelper, setValueConverter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### globalColorScheme

    public static String globalColorScheme

Represents the color scheme that is defined in the DOT ast. If this color scheme is not defined, the default color scheme should be used in the proposal provider.

### Constructor Detail

#### DotColorProposalProvider

    public DotColorProposalProvider()

### Method Detail

#### completeStringColor_Scheme

    public void completeStringColor_Scheme(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.Assignment assignment,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

Overrides:
  `completeStringColor_Scheme` in class `AbstractDotColorProposalProvider`

#### completeStringColor_Name

    public void completeStringColor_Name(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.Assignment assignment,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

Overrides:
  `completeStringColor_Name` in class `AbstractDotColorProposalProvider`